> ## Documentation Index
> Fetch the complete documentation index at: https://developer.karmacheck.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel case data search

> Endpoint to cancel individual case data search records.

Currently supports cancelling education and employment searches.



## OpenAPI

````yaml /background-check-api/api-reference/openapi.json post /case/data/id/{caseDataId}/search/id/{searchId}/cancel
openapi: 3.1.0
info:
  title: KarmaCheck API
  description: >-
    All requests to the KarmaCheck API require a JSON Web Token (JWT) in the
    Authorization header. For an overview of the API and its authentication
    method, refer to the following topics:


    - [API basics](docs/overview/apis/api-overview.md)

    - [Authentication](docs/overview/apis/authentication.md)

    - [Environments](docs/overview/apis/environments.md)

    - [Status codes and errors](docs/overview/apis/errors.md)
  version: '1.0'
  contact:
    name: KarmaCheck
    email: customersuccess@karmacheck.com
servers:
  - description: Stage
    url: https://api-stage.karmacheck.io
  - description: Prod
    url: https://api.karmacheck.io
security:
  - JWT: []
tags:
  - name: Authentication
  - name: Cases
  - name: Candidate onboarding
  - name: Secure documents
  - name: Packages
  - name: Services
  - name: Users
  - name: Companies
  - name: Partner integrations
paths:
  /case/data/id/{caseDataId}/search/id/{searchId}/cancel:
    parameters:
      - schema:
          type: string
        name: caseDataId
        in: path
        required: true
        description: The ID of the case data containing the search.
      - schema:
          type: string
        name: searchId
        in: path
        required: true
        description: The ID of the search to cancel.
    post:
      tags:
        - Cases
      summary: Cancel case data search
      description: |-
        Endpoint to cancel individual case data search records.

        Currently supports cancelling education and employment searches.
      operationId: post-case-data-id-caseDataId-search-id-searchId-cancel
      responses:
        '200':
          description: OK
        '204':
          description: No Content
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
components:
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````